import { UserId } from '../user/types';
export declare enum StripeSubscriptionIdBrand {
    _ = ""
}
export declare type StripeSubscriptionId = string & StripeSubscriptionIdBrand;
export declare enum StripePaymentIntentIdBrand {
    _ = ""
}
export declare type StripePaymentIntentId = string & StripePaymentIntentIdBrand;
export declare enum StripePayoutIdBrand {
    _ = ""
}
export declare type StripePayoutId = string & StripePayoutIdBrand;
export declare type StripeEntityId = StripeCustomerId | StripePaymentIntentId | StripeProductId | StripePriceId | StripeSubscriptionId | StripePaymentMethodId | StripePayoutId | StripeConnectClientId;
export declare enum StripeInvoiceIdBrand {
    _ = ""
}
export declare type StripeInvoiceId = string & StripeInvoiceIdBrand;
export declare enum StripeCustomerIdBrand {
    _ = ""
}
export declare type StripeCustomerId = string & StripeCustomerIdBrand;
export declare enum StripePlanIdBrand {
    _ = ""
}
export declare type StripePlanId = string & StripePlanIdBrand;
export declare type StripePriceId = StripePlanId;
export declare enum StripeProductIdBrand {
    _ = ""
}
export declare type StripeProductId = string & StripeProductIdBrand;
export declare enum StripePaymentMethodIdBrand {
    _ = ""
}
export declare type StripePaymentMethodId = string & StripePaymentMethodIdBrand;
export declare enum StripeConnectClientIdBrand {
    _ = ""
}
export declare type StripeConnectClientId = string & StripeConnectClientIdBrand;
export declare type StripeAccountId = StripeConnectClientId;
export declare enum StripeConnectClientPaymentIdBrand {
    _ = ""
}
export declare type StripeConnectClientPaymentId = string & StripeConnectClientPaymentIdBrand;
export declare enum StripeConnectTransferIdBrand {
    _ = ""
}
export declare type StripeConnectTransferId = string & StripeConnectTransferIdBrand;
export declare type StripeConnectTransferCompositeKey = {
    account: StripeConnectClientId;
    payment: StripeConnectClientPaymentId;
};
export declare type StripeConnectTransferDestination = StripeConnectTransferCompositeKey;
export declare enum StripeConnectTransferReversalIdBrand {
    _ = ""
}
export declare type StripeConnectTransferReversalId = string & StripeConnectTransferReversalIdBrand;
export declare enum StripeRefundIdBrand {
    _ = ""
}
export declare type StripeRefundId = string & StripeRefundIdBrand;
export declare type CustomerToUserMapping = {
    [key in StripeCustomerId]: UserId;
};
