"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SUBSCRIPTION_ID_PARAM_NAME = exports.SUBSCRIPTION_STATUSES = exports.SUBSCRIPTION_PROVIDERS = exports.SUBSCRIPTION_ORIGIN_TYPES = exports.SUBSCRIPTION_CHANNEL_API_LITERAL_TYPE = exports.SUBSCRIPTION_USER_API_LITERAL_TYPE = void 0;
// user but not user
// which means it's an api 'user' string severed from the graph 'user' string
// more comments in parsers.ts
const constants_1 = require("../origin/constants");
const constants_2 = require("../paymentProvider/constants");
exports.SUBSCRIPTION_USER_API_LITERAL_TYPE = 'user';
// same for channel
exports.SUBSCRIPTION_CHANNEL_API_LITERAL_TYPE = 'channel'; // Stripe Docs: https://stripe.com/docs/billing/subscriptions/overview#subscription-states
exports.SUBSCRIPTION_ORIGIN_TYPES = constants_1.ORIGIN_TYPES_EXTERNAL;
exports.SUBSCRIPTION_PROVIDERS = constants_2.PAYMENT_PROVIDERS;
exports.SUBSCRIPTION_STATUSES = [
    'ACTIVE',
    'INACTIVE',
    'INCOMPLETE',
    'INCOMPLETE_EXPIRED',
    'TRIALING',
    'PAST_DUE',
    'CANCELED',
    'UNPAID',
];
exports.SUBSCRIPTION_ID_PARAM_NAME = 'id';
