"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFromParser = void 0;
// generates is(o)-like method from a parser
// const isStripeCustomerId = isFromParser(stripeCustomerIdParser)
// on practice though, TS doesn't seem to recognize "nested" `is ` statements, therefore usage like
// (id: string): id is StripeCustomerId => isFromParser(stripeCustomerIdParser)(id); is needed
const isFromParser = (parser) => (o) => parser.safeParse(o).success;
exports.isFromParser = isFromParser;
